package com.unitesk.requality.tests.merge;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;

import com.unitesk.requality.documents.DocumentImporter;

public class HtmlConverter {

    public static void main(String[] args) {
	File inputDir = new File("/home/vnfedotov/tmp/lsb4/");
	String outputDirname = "/tmp/lsb4Conv/";
	File[] files = inputDir.listFiles();
	if(files.length!=0){
	    for(File html : files) {
		File xhtml = new File(outputDirname+html.getName()+".xhtml");
		convert(html, xhtml);
	    }
	}
    }
    
    protected HtmlConverter() {
	
    }
    
    public static void convert(File in, File out){
	try {
	    Reader read = new FileReader(in);
	    Writer write = new FileWriter(out);
	    DocumentImporter.cleanHtml(read, write);
	    write.close();
	    System.out.println("Converted "+in.getName());
	} catch (FileNotFoundException e) {
	    e.printStackTrace();
	} catch (IOException e) {
	    e.printStackTrace();
	}
    }
}
