package com.unitesk.requality.eclipse.dialogs;

import org.eclipse.swt.widgets.Shell;

import com.unitesk.requality.core.TreeDB;
import com.unitesk.requality.eclipse.views.TreesContentProvider;
import com.unitesk.requality.nodetypes.Requirement;

public class SelectReqDialog extends SelectNodeDialog {
    public SelectReqDialog(Shell shell, TreeDB treedb) {
        super(shell, treedb);
    }
    @Override
    public String getTitle() {
        return "Requirement selection";
    }
    @Override
    protected TreesContentProvider getContentProvider() {
        TreesContentProvider contentProvider = new TreesContentProvider(Requirement.getTypeRootQId());
        contentProvider.setSupportedTypes(new String[] {"Requirement"});
        return contentProvider;
    }
    
    @Override
    public boolean canCreateNodes() {
        return true;
    }

}
