package com.unitesk.requality.eclipse.views;

import java.util.ArrayList;

import org.eclipse.core.resources.mapping.ResourceTraversal;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.team.core.mapping.ISynchronizationContext;
import org.eclipse.team.ui.mapping.SynchronizationContentProvider;

import com.unitesk.requality.eclipse.tools.TreesTracker;
import com.unitesk.requality.model.RequalityModelProvider;

public class RequalityTeamContentProvider extends
        SynchronizationContentProvider {

    CNFContentProvider provider = new CNFContentProvider();

    @Override
    protected ITreeContentProvider getDelegateContentProvider() {
        return provider;
    }

    @Override
    protected String getModelProviderId() {
        // TODO: remove
        System.out.println("RequalityTeamContentProvider#getModelProviderId");
        return RequalityModelProvider.ID;
    }

    @Override
    protected Object getModelRoot() {
        // TODO: remove
        System.out.println("getModelRoot");
        return TreesTracker.getTracker().getTrees();
    }

    @Override
    protected ResourceTraversal[] getTraversals(
            ISynchronizationContext context, Object object) {
        ArrayList<ResourceTraversal> result = new ArrayList<ResourceTraversal>();
        System.out.println("object: "+object);
        return result.toArray(new ResourceTraversal[0]);
    }
}
